Your Android mobile phone needs to be running on Android 4.0 or higher to work with the Assure Watch.  If your phone is running on an older version, follow your mobile manufacturers instructions on how to update your Android version.